﻿#loader-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100%;
    display: none;
    justify-content: center;
    align-items: center;
    background-color: white;
    z-index: 9999;
    opacity: 1;
    visibility: visible;
    overflow-x: hidden;
    transition: opacity 0.8s ease, visibility 0.8s ease; /* Transizione graduale */
}

    /* Nascondere il loader */
    #loader-container.hidden {
        opacity: 0;
        visibility: hidden;
    }

.loader {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

    /* Logo statico */
    .loader img {
        width: 200px; /* Dimensioni del logo */
        height: auto;
        margin-bottom: 20px; /* Spazio tra logo e cerchio */
    }

/* Cerchio animato */
.circular-loader {
    width: 80px;
    height: 80px;
    border: 10px solid #f3f3f3;
    border-top: 10px solid #f39200;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

/* Animazione rotazione */
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

